package com.ruoyi.ems.service;

import java.util.List;

import com.ruoyi.ems.domain.ElecLoadIndex;
import com.ruoyi.ems.domain.vo.QueryIndex;
import org.apache.ibatis.annotations.Param;

/**
 * 电力负荷设施指标Service接口
 *
 * @author ruoyi
 * @date 2024-08-09
 */
public interface IElecLoadIndexService {
    /**
     * 查询电力负荷设施指标
     *
     * @param id 电力负荷设施指标主键
     * @return 电力负荷设施指标
     */
    ElecLoadIndex selectIndexById(Long id);

    /**
     * 查询最新电力负荷设施指标
     * @param areaCode 区域代码
     * @param objType 对象类型
     * @param objCode 对象代码
     * @return 电力负荷设施指标
     */
    ElecLoadIndex selectNewIndex(String areaCode, String objType, String objCode);

    /**
     * 根据时间查询电力负荷设施指标
     *
     * @param queryIndex 参数
     * @return 电力负荷设施指标集合
     */
    List<ElecLoadIndex> selectByTime(QueryIndex queryIndex);

    /**
     * 查询电力负荷设施指标列表
     *
     * @param index 电力负荷设施指标
     * @return 电力负荷设施指标集合
     */
    List<ElecLoadIndex> selectIndexList(ElecLoadIndex index);

    /**
     * 新增电力负荷设施指标
     *
     * @param index 电力负荷设施指标
     * @return 结果
     */
    int insertIndex(ElecLoadIndex index);

    /**
     * 修改电力负荷设施指标
     *
     * @param index 电力负荷设施指标
     * @return 结果
     */
    int updateIndex(ElecLoadIndex index);

    /**
     * 批量删除电力负荷设施指标
     *
     * @param ids 需要删除的电力负荷设施指标主键集合
     * @return 结果
     */
    int deleteIndexByIds(Long[] ids);

    /**
     * 删除电力负荷设施指标信息
     *
     * @param id 电力负荷设施指标主键
     * @return 结果
     */
    int deleteIndexById(Long id);
}
